Subject: RE: [[email-masked]: Re: [dav-dev] Depth Infinity Requests]

From: Gary Barnett <[email-masked]>
Date: Thu, 6 Jul 2000 17:58:14 +0100

I think that creating a specification that builds in non-deterministic
behaviour would be a real pain.

I think that the idea of passing a depth value (with perhaps a default value
which all servers support) makes sense from a client perspective.

-----Original Message-----
From: Kevin Wiggen [mailto:[email-masked]]
Sent: Thursday, July 06, 2000 12:28 PM
To: [email-masked]; WebDAV WG
Subject: RE: [[email-masked]: Re: [dav-dev] Depth Infinity Requests]

I believe we should follow the DASL spec on this one.  Dasl allows a server
to send a 507 if the query produced more results than the server is willing
to transmit.  Partial Results have been transmitted.

This is the implementation on the Xythos Storage Server for both SEARCH and
PROPFIND.

Kevin

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Hartmut Warncke
Sent: Thursday, July 06, 2000 8:23 AM
To: WebDAV WG
Subject: Re: [[email-masked]: Re: [dav-dev] Depth Infinity Requests]

I am of the opinion that disallowing  depth infinity PROPFINDS
would cut off one of the main WebDAV features.  In order to
explain that opinion I  would  like to give you a short example
how we use WebDAV in Adobe GoLive 5.0 (the following sample
is not a theoretical one it's out of the everday life of a GoLive user):

Imagine that you need the modification dates of  1000 resources
on the server in order to synchronize the resources on the server
with the resources on your local machine. Even if the resources
are located in a directory with a very deep hierarchy it's not a
problem with a depth infinity PROPFIND. You ask the server for
the dates and get the response for all the 1000 resources within one
Network request/ response.

On the other hand if you stick to PROPFIND Depth: 1 you end up
in a tremendous drawback (a ftp-like solution) because the client
software has to go down the hierarchy step by step and ask for the
content of each directory  level. The User has  to be very patient
in that scenario ...

So to my mind the infinity PROPFIND is a main WebDAV feature
for practical purposes.

In addition to that I would like to draw your attention to the fact
that it is very difficult to base a software implementation on a
WebDAV RFC which changes frequently because we are not able
to ship a new Release of our software every two weeks.

Hartmut

"Clemm, Geoff" wrote:

> I think we should disallow Depth:infinity on a PROPFIND, and require that
> the client pass in some maximum depth to let the server know when it
> should stop.
>
> Cheers,
> Geoff

---

From: Jim Davis <[email-masked]>
Date: Thu, 06 Jul 2000 14:14:03 -0700

>which all servers support) makes sense from a client perspective.

What we gain from the indeterminacy is flexibility.  Otherwise, we either
set the minimum standard high (and rule out cheap implementations) or set
it low (thus requiring all clients to use inefficient methods, and making
powerful implementations either useless or non-standard.)

Yaron put it like this

"The client proposes, the server disposes".

Clients should ask for what they want, and be prepared to get less than that.